For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update the formula by its ID

Updates formula.

put

Updates formula configuration for the specified formula ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
formulaIdstringRequired

Formula Identifier

Example: 000000000000000000000001
Body
idstringOptionalExample: 000000000000000000000001
uuidstringOptionalExample: 00000000-0000-0000-0000-000000000000
namestringRequiredExample: Tool name
descriptionstringOptionalExample: Description
creatorstringOptionalExample: #did:hedera:testnet:AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA_0.0.0000001
ownerstringOptionalExample: #did:hedera:testnet:AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA_0.0.0000001
messageIdstringOptionalExample: 0000000000.000000001
policyIdstringOptionalExample: 000000000000000000000001
policyTopicIdstringOptionalExample: 0.0.1
policyInstanceTopicIdstringOptionalExample: 0.0.1
statusstring Β· enumOptionalExample: DRAFTPossible values:
configobject Β· nullableOptional
Responses
200

Successful operation.

application/json
idstringOptionalExample: 000000000000000000000001
uuidstringOptionalExample: 00000000-0000-0000-0000-000000000000
namestringRequiredExample: Tool name
descriptionstringOptionalExample: Description
creatorstringOptionalExample: #did:hedera:testnet:AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA_0.0.0000001
ownerstringOptionalExample: #did:hedera:testnet:AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA_0.0.0000001
messageIdstringOptionalExample: 0000000000.000000001
policyIdstringOptionalExample: 000000000000000000000001
policyTopicIdstringOptionalExample: 0.0.1
policyInstanceTopicIdstringOptionalExample: 0.0.1
statusstring Β· enumOptionalExample: DRAFTPossible values:
configobject Β· nullableOptional
put
/formulas/{formulaId}

Last updated